The Spring Framework

## org.springframework.beans.factory
Class BeanIsAbstractException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.beans.BeansException
                          org.springframework.beans.FatalBeanException
                              org.springframework.beans.factory.BeanCreationException
                                  org.springframework.beans.factory.BeanIsAbstractException

All Implemented Interfaces:
  Serializable

    public class BeanIsAbstractException

extends BeanCreationException

Exception thrown when a bean instance has been requested for a bean which has been defined as abstract

Since:
  1.1
Author:
  Juergen Hoeller
See Also:
  `AbstractBeanDefinition.setAbstract(boolean)`, Serialized Form

Constructor Summary
`BeanIsAbstractException(String beanName)` Create a new BeanIsAbstractException.

Method Summary

Methods inherited from class org.springframework.beans.factory.BeanCreationException
`addRelatedCause, contains, getBeanName, getRelatedCauses, getResourceDescription, printStackTrace, printStackTrace, toString`

Methods inherited from class org.springframework.beans.BeansException
`equals, hashCode`

Methods inherited from class org.springframework.core.NestedRuntimeException
`getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeanIsAbstractException

    public BeanIsAbstractException(String beanName)

  Create a new BeanIsAbstractException.

  Parameters:
    `beanName` - the name of the bean requested

The Spring Framework

Copyright © 2002-2008 The Spring Framework.